Package org.opencv.cv3d

## Class VolumeSettings

- java.lang.Object
- - org.opencv.cv3d.VolumeSettings

-     public class VolumeSettings
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `VolumeSettings()` | Constructor of settings for custom Volume type.
    `` | `VolumeSettings​(int volumeType)` | Constructor of settings for custom Volume type.
    `protected` | `VolumeSettings​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VolumeSettings` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `void` | `getCameraIntegrateIntrinsics​(Mat val)` | Returns intrinsics of camera for integrations.
    `void` | `getCameraRaycastIntrinsics​(Mat val)` | Returns camera intrinsics for raycast image, used when user does not provide them at raycast() call.
    `float` | `getDepthFactor()` | Returns depth factor, witch is the number for depth scaling.
    `int` | `getIntegrateHeight()` | Returns the height of the image for integration.
    `int` | `getIntegrateWidth()` | Returns the width of the image for integration.
    `float` | `getMaxDepth()` | Returns threshold for depth truncation in meters.
    `int` | `getMaxWeight()` | Returns max number of frames to integrate per voxel.
    `long` | `getNativeObjAddr()` |
    `int` | `getRaycastHeight()` | Returns the height of the raycasted image, used when user does not provide it at raycast() call.
    `float` | `getRaycastStepFactor()` | Returns length of single raycast step.
    `int` | `getRaycastWidth()` | Returns the width of the raycasted image, used when user does not provide it at raycast() call.
    `float` | `getTsdfTruncateDistance()` | Returns TSDF truncation distance.
    `void` | `getVolumePose​(Mat val)` | Sets volume pose.
    `void` | `getVolumeResolution​(Mat val)` | Resolution of voxel space.
    `void` | `getVolumeStrides​(Mat val)` | Returns 3 integers representing strides by x, y and z dimension.
    `float` | `getVoxelSize()` | Returns the size of voxel.
    `void` | `setCameraIntegrateIntrinsics​(Mat val)` | Sets intrinsics of camera for integrations.
    `void` | `setCameraRaycastIntrinsics​(Mat val)` | Sets camera intrinsics for raycast image which, used when user does not provide them at raycast() call.
    `void` | `setDepthFactor​(float val)` | Sets depth factor, witch is the number for depth scaling.
    `void` | `setIntegrateHeight​(int val)` | Sets the height of the image for integration.
    `void` | `setIntegrateWidth​(int val)` | Sets the width of the image for integration.
    `void` | `setMaxDepth​(float val)` | Sets threshold for depth truncation in meters.
    `void` | `setMaxWeight​(int val)` | Sets max number of frames to integrate per voxel.
    `void` | `setRaycastHeight​(int val)` | Sets the height of the raycasted image, used when user does not provide it at raycast() call.
    `void` | `setRaycastStepFactor​(float val)` | Sets length of single raycast step.
    `void` | `setRaycastWidth​(int val)` | Sets the width of the raycasted image, used when user does not provide it at raycast() call.
    `void` | `setTsdfTruncateDistance​(float val)` | Sets TSDF truncation distance.
    `void` | `setVolumePose​(Mat val)` | Sets volume pose.
    `void` | `setVolumeResolution​(Mat val)` | Resolution of voxel space.
    `void` | `setVoxelSize​(float val)` | Sets the size of voxel.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### VolumeSettings

          protected VolumeSettings​(long addr)

    - #### VolumeSettings

          public VolumeSettings​(int volumeType)

      Constructor of settings for custom Volume type.
      Parameters:
        `volumeType` - volume type.

    - #### VolumeSettings

          public VolumeSettings()

      Constructor of settings for custom Volume type.

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static VolumeSettings __fromPtr__​(long addr)

    - #### setIntegrateWidth

          public void setIntegrateWidth​(int val)

      Sets the width of the image for integration.
      Parameters:
        `val` - input value.

    - #### getIntegrateWidth

          public int getIntegrateWidth()

      Returns the width of the image for integration.
      Returns:
        automatically generated

    - #### setIntegrateHeight

          public void setIntegrateHeight​(int val)

      Sets the height of the image for integration.
      Parameters:
        `val` - input value.

    - #### getIntegrateHeight

          public int getIntegrateHeight()

      Returns the height of the image for integration.
      Returns:
        automatically generated

    - #### setRaycastWidth

          public void setRaycastWidth​(int val)

      Sets the width of the raycasted image, used when user does not provide it at raycast() call.
      Parameters:
        `val` - input value.

    - #### getRaycastWidth

          public int getRaycastWidth()

      Returns the width of the raycasted image, used when user does not provide it at raycast() call.
      Returns:
        automatically generated

    - #### setRaycastHeight

          public void setRaycastHeight​(int val)

      Sets the height of the raycasted image, used when user does not provide it at raycast() call.
      Parameters:
        `val` - input value.

    - #### getRaycastHeight

          public int getRaycastHeight()

      Returns the height of the raycasted image, used when user does not provide it at raycast() call.
      Returns:
        automatically generated

    - #### setDepthFactor

          public void setDepthFactor​(float val)

      Sets depth factor, witch is the number for depth scaling.
      Parameters:
        `val` - input value.

    - #### getDepthFactor

          public float getDepthFactor()

      Returns depth factor, witch is the number for depth scaling.
      Returns:
        automatically generated

    - #### setVoxelSize

          public void setVoxelSize​(float val)

      Sets the size of voxel.
      Parameters:
        `val` - input value.

    - #### getVoxelSize

          public float getVoxelSize()

      Returns the size of voxel.
      Returns:
        automatically generated

    - #### setTsdfTruncateDistance

          public void setTsdfTruncateDistance​(float val)

      Sets TSDF truncation distance. Distances greater than value from surface will be truncated to 1.0.
      Parameters:
        `val` - input value.

    - #### getTsdfTruncateDistance

          public float getTsdfTruncateDistance()

      Returns TSDF truncation distance. Distances greater than value from surface will be truncated to 1.0.
      Returns:
        automatically generated

    - #### setMaxDepth

          public void setMaxDepth​(float val)

      Sets threshold for depth truncation in meters. Truncates the depth greater than threshold to 0.
      Parameters:
        `val` - input value.

    - #### getMaxDepth

          public float getMaxDepth()

      Returns threshold for depth truncation in meters. Truncates the depth greater than threshold to 0.
      Returns:
        automatically generated

    - #### setMaxWeight

          public void setMaxWeight​(int val)

      Sets max number of frames to integrate per voxel. Represents the max number of frames over which a running average of the TSDF is calculated for a voxel.
      Parameters:
        `val` - input value.

    - #### getMaxWeight

          public int getMaxWeight()

      Returns max number of frames to integrate per voxel. Represents the max number of frames over which a running average of the TSDF is calculated for a voxel.
      Returns:
        automatically generated

    - #### setRaycastStepFactor

          public void setRaycastStepFactor​(float val)

      Sets length of single raycast step. Describes the percentage of voxel length that is skipped per march.
      Parameters:
        `val` - input value.

    - #### getRaycastStepFactor

          public float getRaycastStepFactor()

      Returns length of single raycast step. Describes the percentage of voxel length that is skipped per march.
      Returns:
        automatically generated

    - #### setVolumePose

          public void setVolumePose​(Mat val)

      Sets volume pose.
      Parameters:
        `val` - input value.

    - #### getVolumePose

          public void getVolumePose​(Mat val)

      Sets volume pose.
      Parameters:
        `val` - output value.

    - #### setVolumeResolution

          public void setVolumeResolution​(Mat val)

      Resolution of voxel space. Number of voxels in each dimension. Applicable only for TSDF Volume. HashTSDF volume only supports equal resolution in all three dimensions.
      Parameters:
        `val` - input value.

    - #### getVolumeResolution

          public void getVolumeResolution​(Mat val)

      Resolution of voxel space. Number of voxels in each dimension. Applicable only for TSDF Volume. HashTSDF volume only supports equal resolution in all three dimensions.
      Parameters:
        `val` - output value.

    - #### getVolumeStrides

          public void getVolumeStrides​(Mat val)

      Returns 3 integers representing strides by x, y and z dimension. Can be used to iterate over raw volume unit data.
      Parameters:
        `val` - output value.

    - #### setCameraIntegrateIntrinsics

          public void setCameraIntegrateIntrinsics​(Mat val)

      Sets intrinsics of camera for integrations. Format of input: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.
      Parameters:
        `val` - input value.

    - #### getCameraIntegrateIntrinsics

          public void getCameraIntegrateIntrinsics​(Mat val)

      Returns intrinsics of camera for integrations. Format of output: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.
      Parameters:
        `val` - output value.

    - #### setCameraRaycastIntrinsics

          public void setCameraRaycastIntrinsics​(Mat val)

      Sets camera intrinsics for raycast image which, used when user does not provide them at raycast() call. Format of input: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.
      Parameters:
        `val` - input value.

    - #### getCameraRaycastIntrinsics

          public void getCameraRaycastIntrinsics​(Mat val)

      Returns camera intrinsics for raycast image, used when user does not provide them at raycast() call. Format of output: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.
      Parameters:
        `val` - output value.

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`